Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class GraphicsMode

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.image.GraphicsMode

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class GraphicsMode
extends QTByteObject
implements quicktime.jdirect.QuickTimeLib, java.lang.Cloneable

The GraphicsMode class implements details that describe transfer operations and transperancy operations. refer to ModifierTrackGraphicsMode in QuickTime

See Also:
  `quicktime.qd.QD`, Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`GraphicsMode()` This constructor creates an empty GraphicsMode object.
`GraphicsMode(int gMode, QDColor opColor)` This constructor creates a GraphicsMode object for specified mode and operand color.

Method Summary
`java.lang.Object` | `clone()` Return a copy of the GraphicsMode object.
`QDColor` | `getColor()` This method returns the operand mode
`int` | `getGraphicsMode()` This method returns the graphics mode
`boolean` | `isGraphicsModeOpaque()` Returns true if the current mode is opaque, otherwise false.
`void` | `setColor(QDColor newColor)` This method sets the operand color.
`void` | `setGraphicsMode(int mode)` This method sets the graphics mode
`java.lang.String` | `toString()` Returns the String representation of this Rectangle's values.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### GraphicsMode

    public GraphicsMode()

  This constructor creates an empty GraphicsMode object.

### GraphicsMode

    public GraphicsMode(int gMode,
                        QDColor opColor)

  This constructor creates a GraphicsMode object for specified mode and operand color.
  Parameters:
    `gMode` - Specifies the graphics mode.
    `opColor` - Specifies the operand color.

Method Detail

### setGraphicsMode

    public void setGraphicsMode(int mode)

  This method sets the graphics mode
  Parameters:
    `mode` - Specifies the new graphics mode.

### getGraphicsMode

    public int getGraphicsMode()

  This method returns the graphics mode
  Returns:
    the graphics mode.

### isGraphicsModeOpaque

    public boolean isGraphicsModeOpaque()

  Returns true if the current mode is opaque, otherwise false.

### setColor

    public void setColor(QDColor newColor)

  This method sets the operand color.
  Parameters:
    `newColor` - Specifies the new color.

### getColor

    public QDColor getColor()

  This method returns the operand mode
  Returns:
    the color.

### toString

    public java.lang.String toString()

  Returns the String representation of this Rectangle's values.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Return a copy of the GraphicsMode object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD